class Admin::AdImagesController < Admin::AdBannersController
  def initialize
    super
    @app_title = "ad_banner"
  end

  def index
    @ad_images = AdImage.order_by(sort).page(params[:page]).per(10)
    @table_fields = ["preview","ad_banner.banner","title","start_date","end_date", "link"]
  end

  def edit
    @ad_image = AdImage.find(params[:id])
    @item = [[t('image'),"1"],['Youtube',"2"],[t('video'),"3"]]
    @item_choose = @ad_image.exchange_item
    if can_edit_or_delete?(@ad_image.banner)
      @ad_banner = @ad_image.banner
    else
      render_401
    end
  end
  
  def update
    ad_image = AdImage.find(params[:id])
    ad_image.update_attributes(ad_image_params)
    redirect_to params[:referer_url]
  end
  
  def new 
    @ad_image = AdImage.new
    @ad_banner = Banner.find(params[:banner_id])
    @item = [[t('image'),"1"],['Youtube',"2"],[t('video'),"3"]]
    if can_edit_or_delete?(@ad_banner)
      @tags = @module_app.tags || []
      @ad_image.postdate = Date.today
    else
      render_401
    end
  end
  
  def create
    @ad_image = AdImage.new(ad_image_params)
    @ad_image.save
    redirect_to params[:referer_url]
  end
  
  def destroy
    ad_image = AdImage.find params[:id]
    banner = ad_image.banner
    ad_image.destroy
    redirect_to admin_ad_banner_path(banner.id, :page => params[:page])
  end

  private

  def ad_image_params
    params.require(:ad_image).permit!
  end

  def setup_vars
    @module_app = ModuleApp.where(:key => "ad_banner").first
  end
end