# encoding: utf-8

class BannerUploader < CarrierWave::Uploader::Base

  # Include RMagick or ImageScience support:
  # include CarrierWave::RMagick
  # include CarrierWave::ImageScience

  # Choose what kind of storage to use for this uploader:
  # storage :file
  # storage :s3

  # Override the directory where uploaded files will be stored.
  # This is a sensible default for uploaders that are meant to be mounted:
  def store_dir
    "uploads/banner_image/#{mounted_as}/#{model.id}"
  end

    # override
  def filename
    @original_filename
  end

  # override
  def original_filename=(filename)
    @original_filename = super(filename)

    if(@original_filename.bytesize > 200)
      original_file_extension = File.extname(@original_filename)

      @original_filename.force_encoding("ascii-8bit")
      @original_filename = @original_filename[0, (200 - original_file_extension.bytesize)]
      @original_filename.encode!("UTF-16BE", "UTF-8", :invalid => :replace, :undef => :replace, :replace => '')
      @original_filename.encode!("UTF-8")

      @original_filename += original_file_extension
    end

    @original_filename
  end

  # Provide a default URL as a default if there hasn't been a file uploaded:
  # def default_url
  #   "/images/fallback/" + [version_name, "default.png"].compact.join('_')
  # end

  # Process files as they are uploaded:
  # process :scale => [200, 300]
  #
  # def scale(width, height)
  #   # do something
  # end

  # Create different versions of your uploaded files:
  # version :thumb do
  #   process :scale => [50, 50]
  # end

  # Add a white list of extensions which are allowed to be uploaded.
  # For images you might use something like this:
  # def extension_white_list
  #   %w(jpg jpeg gif png)
  # end

  # Override the filename of the uploaded files:
  # def filename
  #   model.filename
  # end

  def cache_dir
    "#{Rails.root}/tmp/uploads"
  end

end
